commit: 9a364a79f3c01b570bcf343fa42c92d1529e4f66
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 4 16:35:44 2020 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Mar 4 17:10:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a364a79
dev-python/oslo-utils: 3.41.5 bump
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/oslo-utils/Manifest | 1 +
dev-python/oslo-utils/oslo-utils-3.41.5.ebuild | 104 +++++++++++++++++++++++++
2 files changed, 105 insertions(+)
diff --git a/dev-python/oslo-utils/Manifest b/dev-python/oslo-utils/Manifest
index ff67b00862b..8bea20be96b 100644
--- a/dev-python/oslo-utils/Manifest
+++ b/dev-python/oslo-utils/Manifest
@@ -1 +1,2 @@
DIST oslo-utils-3.41.4.tar.gz 91178 BLAKE2B
fe3292b2f60021f6c7cff0a2f6444a8d906586278b4560422e7296e996ac2322973f98902b11b72e6d543a18693c5f10a02629c2fa741e36a8338ff3f53de8f5
SHA512
ea12199b583a83b408fdbe4874162689038936a08d2a362e4adc9074da623c38a1642861ad83833c63988298e2efd11c2242bf69090da03d6358856e6e287acd
+DIST oslo-utils-3.41.5.tar.gz 91662 BLAKE2B
28ab74823b68cdf427396e5e357f567be5540eaf28e56416015d41ba76ddbe0970064b672c46b53bf23c2dfaae442462fa89d1e140e5f5a271db6e72e4b3e615
SHA512
0d9f9a99a48c0d6623947df6557eca24ebb2ae21d110e1c2a37e09c89fc2749d3ae480bfb534b3a2e3a6f9e7b0db126497f3403825b1272a30f532aa57795b04
diff --git a/dev-python/oslo-utils/oslo-utils-3.41.5.ebuild
b/dev-python/oslo-utils/oslo-utils-3.41.5.ebuild
new file mode 100644
index 00000000000..8fb0bddeb33
--- /dev/null
+++ b/dev-python/oslo-utils/oslo-utils-3.41.5.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Utility library"
+HOMEPAGE="https://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz ->
${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/eventlet-0.18.2[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.18.3[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.21.0[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.23.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/stestr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.0.0[${PYTHON_USEDEP}]
+ !~dev-python/coverage-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ <dev-python/bandit-1.6.0[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.6.6[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.6.7[${PYTHON_USEDEP}]
+ <dev-python/sphinx-2.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep
'>=dev-python/openstackdocstheme-1.18.1[${PYTHON_USEDEP}]' python2_7)
+ >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ virtual/python-funcsigs[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/monotonic-0.6[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+# Note: Tests fail due to requiring installation
+#
+# Installation appears to fail due to the use of namespace packages but root
+# cause was never truly established.
+#
+# Tests fail with:
+# ImportError: No module named 'oslo.utils
+
+#RESTRICT="test"
+
+python_test() {
+ distutils_install_for_testing
+
+ cd "${TEST_DIR}"/lib || die
+
+ rm -rf .testrepository || die "couldn't remove '.testrepository' under
${EPTYHON}"
+
+ testr init || die "testr init failed under ${EPYTHON}"
+ testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+}